Crashpad

Public Member Functions | Protected Member Functions | List of all members
crashpad::SessionEndWatcher Class Referenceabstract

Creates a hidden window and waits for a `WM_ENDSESSION` message, indicating that the session is ending and the application should terminate. More...

`#include "util/win/session_end_watcher.h"`

Inheritance diagram for crashpad::SessionEndWatcher:

## Public Member Functions
| ~SessionEndWatcher () override
Public Member Functions inherited from crashpad::Thread
void | Start ()
| Create a platform thread, and run ThreadMain() on that thread. Must be paired with a call to Join().
void | Join ()
| Block until ThreadMain() exits. This may be called from any thread. Must paired with a call to Start().

## Protected Member Functions
HWND | GetWindow () const
void | WaitForStart ()
void | WaitForStop ()

## Detailed Description

Creates a hidden window and waits for a `WM_ENDSESSION` message, indicating that the session is ending and the application should terminate.

A dedicated thread will be created to run the `GetMessage()`-based message loop required to monitor for this message.

Users should subclass this class and receive notifications by implementing the SessionEndWatcherEvent() method.

## Constructor & Destructor Documentation

## ◆ ~SessionEndWatcher()

crashpad::SessionEndWatcher::~SessionEndWatcher | ( |  | ) |
| override

Note
  The destructor waits for the thread that runs the message loop to terminate.

The documentation for this class was generated from the following files:

- util/win/session_end_watcher.h
- util/win/session_end_watcher.cc